.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
 //   padding-top: rem(64);
    display: flex;
    flex-direction: column;

    &__header {
        z-index: 1200;
        position: relative;
    }

    &__main {
        flex-grow: 1;
        padding: rem(40) 0;
    }

    @include media-breakpoint-up(lg) {
      //  padding-top: rem(100);
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(70);
    }
}

.section-light {
    background: #f9f8ff;
    padding: rem(30) 0;
}

.section-white {
    background: $white;
    padding: rem(30) 0;
}

.primary {
    padding-top: rem(56);
    padding-bottom: rem(80);

    &__main {
        padding: 0 rem(24);
        margin-bottom: rem(50);
    }

    &__header {
        font-weight: 300;
        font-size: rem(28);
        line-height: 1.25;
        margin-bottom: rem(32);
    }

    &__text {
        color: #383838;
        height: rem(40);
        line-height: 1.55;
        font-size: rem(16);
        white-space: nowrap;
        margin-bottom: rem(40);
        display: flex;
        align-items: center;
        padding-left: rem(8);
        border-left: 6px solid #cfb7ee;
    }

    &__button {
        width: rem(260);
        margin: 0 auto;

        .pretty-button {
            width: 100%;
        }
    }

    &__media {
        width: rem(300);
        height: rem(300);
        position: relative;
        border-radius: 50%;
        background: #cfb7ee;
        margin: 0 auto;
    }

    &__image {
        top: rem(-20);
        left: rem(16);
        width: rem(266);
        position: absolute;
    }

    &__info {
        width: rem(300);
        margin: 0 auto;
        padding-top: rem(50);
    }

    @include media-breakpoint-up(sm) {

        &__header {
            font-size: rem(36);
            text-align: center;
            margin-bottom: rem(60);
        }

        &__main {
            margin-bottom: rem(70);
        }

        &__text {
            width: rem(260);
            height: rem(54);
            font-size: rem(20);
            margin: 0 auto rem(40) auto;
        }

        &__media {
            width: rem(412);
            height: rem(412);
        }

        &__image {
            left: 0;
            top: rem(-30);
            width: rem(370);
        }

        &__info {
            width: 100%;
            padding-top: rem(80);
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(80);

        &__header {
            font-size: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(40);
        padding-bottom: rem(100);

        &__body {
            display: flex;
            align-items: center;
        }

        &__header {
            text-align: left;
        }

        &__text {
            width: 100%;
            margin: 0 0 rem(40) 0;
        }

        &__button {
            margin: 0;
        }

        &__main {
            margin-bottom: 0;
        }

        &__media {
            width: rem(462);
            height: rem(462);
            flex-shrink: 0;
        }

        &__image {
            left: rem(6);
            width: rem(415);
        }
        &__info {
            width: 100%;
            padding-top: rem(60);
        }
    }
}

.primary-info {
    color: $white;
    font-size: rem(16);
    line-height: 1.55;
    font-family: $font-family-secondary;
    padding: rem(30) rem(20);
    border-radius: 10px;
    background-color: #383838;

    &__wrap {
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__item {
        display: flex;
        align-items: center;
    }

    &__media {
        display: flex;
        align-items: center;
        justify-content: center;
        padding-right: rem(12);
        border-right: 1px solid #555;
    }

    &__icon {
        width: rem(35);
        flex-shrink: 0;
    }

    &__content {
        padding-left: rem(16);
        display: flex;
        align-items: center;
    }

    @include media-breakpoint-up(sm) {
        padding: rem(30) rem(30);

        &__wrap {
            grid-row-gap: rem(30);
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr;
        }

        &__media {
            min-height: rem(70);
        }

        &__icon {
            height: rem(44);
        }
    }

    @include media-breakpoint-up(md) {
        max-width: rem(800);
        margin: 0 auto;
        padding: rem(30) rem(40);

        &__wrap {
            grid-column-gap: rem(80);
        }
    }

    @include media-breakpoint-up(lg) {
        padding: rem(30) rem(80);

        &__wrap {
            grid-column-gap: rem(100);
        }
    }

    @include media-breakpoint-up(xl) {
        max-width: inherit;
        width: 100%;
        padding: rem(24) rem(40);

        &__wrap {
            grid-column-gap: rem(40);
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }
}

.why {
    padding-top: rem(80);
    padding-bottom: rem(80);

    &__header {
        text-align: center;
        font-weight: 700;
        line-height: 1.25;
        font-size: rem(35);
        margin-bottom: rem(90);
    }

    &__main {
        width: rem(300);
        margin:  0 auto;
        display: grid;
        grid-row-gap: rem(110);
        grid-template-columns: 1fr;
    }

    &__item {
        color: #383838;
        line-height: 1.55;
        font-size: rem(16);
        text-align: center;
        background: $white;
        position: relative;
        border-radius: 10px;
        padding: rem(100) rem(20) rem(44) rem(20);
        box-shadow: 0px 15px 25px 0px rgba(156,151,163,0.1);

        &:hover {
            z-index: 20;
        }
    }

    &__media {
        top: -60px;
        left: calc(50% - 65px);
        font-size: 0;
        line-height: 0;
        width: rem(130);
        height: rem(130);
        position: absolute;
        border-radius: 50%;
        background: rgba(207, 183, 238, 0.3);
        display: flex;
        align-items: center;
        justify-content: center;

        &--wrap {
            width: rem(90);
            height: rem(90);
            border-radius: 50%;
            background: #cfb7ee;
            flex-shrink: 0;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }

    &__icon {
        height: rem(52);
        display: inline-block;
        flex-shrink: 0;
    }

    &__title {
        font-weight: 700;
        line-height: 1.25;
        font-size: rem(24);
        margin-bottom: rem(12);
    }

    &__divider {
        width: rem(80);
        height: 1px;
        background: #383838;
        margin:  0 auto rem(12) auto;
    }

    &__content {
        position: relative;

        &:hover {

            .why__tooltip {
                opacity: 1;
                visibility: visible;
                transition: .2s;
            }
        }
    }

    &__text {
        width: rem(180);
        margin: 0 auto;
    }

    &__tooltip {
        top: calc(100% + 16px);
        color: $white;
        padding: 16px;
        text-align: left;
        font-size: rem(14);
        line-height: rem(20);
        border-radius: 10px;
        position: absolute;
        background: #383838;
        opacity: 0;
        visibility: hidden;
        transition: .2s;

        &:before {
            top: -20px;
            left: calc(50% - 10px);
            content: '';
            position: absolute;
            border: 10px solid transparent;
            border-bottom: 10px solid #383838;
        }
    }

    @include media-breakpoint-up(md) {
        padding-bottom: rem(100);

        &__header {
            font-size: rem(44);
        }

        &__main {
            width: rem(360);
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            width: 100%;
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            max-width: rem(500);
            margin-left: auto;
            margin-right: auto;
        }

        &__main {
            grid-column-gap: rem(54);
        }
    }
}

.tips {
    padding-top: rem(40);
    padding-bottom: rem(80);

    &__header {
        text-align: center;
        font-weight: 700;
        line-height: 1.25;
        font-size: rem(35);
        margin-bottom: rem(30);
    }

    &__main {
        width: rem(300);
        margin: 0 auto;
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        line-height: 1.55;
        font-size: rem(16);
        text-align: center;
    }

    &__media {
        font-size: 0;
        line-height: 0;
        position: relative;
        display: flex;
        justify-content: center;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            height: rem(90);
            position: absolute;
            border-radius: 10px;
        }

        &--gray {

            &:before {
                background: #e8e7f0;
            }
        }

        &--violet {

            &:before {
                background: #cfb7ee;
            }
        }
    }

    &__image {
        z-index: 10;
        height: rem(112);
        position: relative;
        display: inline-block;
    }

    &__title {
        padding-top: rem(12);
    }

    &__footer {
        text-align: center;
        padding-top: rem(30);
    }

    @include media-breakpoint-up(sm) {

        &__main {
            width: 100%;
            grid-row-gap: rem(40);
            grid-column-gap: rem(40);
        }

        &__media {

            &:before {
                height: rem(164);
            }
        }

        &__image {
            height: rem(200);
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            width: rem(480);
            font-size: rem(44);
            margin: 0 auto rem(40) auto;
        }

        &__main {
            width: rem(580);
            grid-column-gap: rem(50);
        }

        &__image {
            height: rem(206);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(60);
        padding-bottom: rem(100);

        &__header {
            margin-bottom: rem(60);
        }

        &__main {
            width: 100%;
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }

        &__footer {
            padding-top: rem(60);
        }
    }
}

.offer {
    color: $white;
    width: rem(300);
    margin: 0 auto rem(50) auto;
    border-radius: rem(10);
    background: #383838;
    padding: rem(30) rem(24) rem(50) rem(24);

    &__main {
        margin-bottom: rem(32);
    }

    &__header {
        text-align: center;
        line-height: 1.25;
        font-size: rem(26);
        margin-bottom: rem(32);
        font-family: $font-family-secondary;

        &--primary {
            font-weight: 300;
        }

        &--secondary {
            font-weight: 700;
        }
    }

    &__button {
        width: rem(260);
        margin: 0 auto;
    }

    &__media {
        margin: 0 auto;
        width: rem(210);
    }

    @include media-breakpoint-up(sm) {
        width: 100%;
        padding-bottom: 0;
        margin-bottom: rem(90);

        &__header {
            font-size: rem(36);
        }

        &__media {
            width: rem(385);
            position: relative;
        }

        &__image {
            top: rem(40);
            position: relative;
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(44);
        }
    }

    @include media-breakpoint-up(lg) {
        overflow: hidden;
        text-align: left;
        position: relative;
        padding: rem(30) rem(32);

        &__header {
            max-width: rem(600);
            text-align: left;
        }

        &__main {
            margin: 0;
        }

        &__button {
            margin: 0;
        }

        &__media {
            margin: 0;
            top: rem(80);
            right: rem(10);
            width: rem(385);
            position: absolute;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(62) rem(110);

        &__header {
            max-width: inherit;
        }
    }
}

.work {
    margin: 0 auto;
    padding-top: rem(40);
    padding-bottom: rem(60);
    max-width: rem(300);

    &__header {
        text-align: center;
        font-weight: 700;
        line-height: 1.25;
        font-size: rem(35);
        margin-bottom: rem(30);
    }

    &__media {
        width: rem(220);
        margin: 0 auto rem(40) auto;
    }

    &__main {
        padding-left: rem(24);
        display: grid;
        grid-row-gap: rem(20);
    }

    &__item {
        min-height: rem(90);
        font-weight: 300;
        line-height: 1.55;
        font-size: rem(16);
        border-radius: 10px;
        padding: rem(12) rem(12) rem(12) rem(48);
        border: 1px solid #cfc9d6;
        position: relative;
        display: flex;
        align-items: center;
    }

    &__icon {
        color: $white;
        font-weight: 700;
        font-size: rem(24);
        top: calc(50% - 2rem);
        left: rem(-32);
        width: rem(64);
        height: rem(64);
        position: absolute;
        border-radius: 50%;
        background: #cfb7ee;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(sm) {
        max-width: inherit;

        &__media {
            width: rem(424);
        }

        &__header {
            font-size: rem(44);
        }

        &__item {
            min-height: rem(130);
            padding: rem(24) rem(48) rem(24) rem(80);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            margin: 0 auto;
            width: rem(560);
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__header {
            max-width: rem(550);
            margin: 0 auto rem(50) auto;
        }

        &__media {
            width: rem(424);
            margin: 0;
            flex-shrink: 0;
        }
    }
}

.pos {
    padding-top: rem(40);
    padding-bottom: rem(60);

    &__header {
        font-weight: 700;
        line-height: 1.25;
        font-size: rem(35);
        text-align: center;
        margin-bottom: rem(40);
    }

    &__xl {
        display: none;
    }

    &__media {
        width: rem(230);
        height: rem(230);
        border-radius: 50%;
        position: relative;
        background: #cfb7ee;
        margin: 0 auto rem(80) auto;
    }

    &__image {
        top: rem(-40);
        left: rem(-20);
        width: rem(214);
        position: absolute;
        transform: rotate(18deg);
    }

    &__group {
        margin: 0 auto;
        max-width: rem(400);
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr 1fr;
    }

    &__item {

    }

    @include media-breakpoint-up(sm) {

        &__header {
            font-size: rem(44);
            margin-bottom: rem(50);
        }

        &__media {
            width: rem(365);
            height: rem(365);
            margin-bottom: rem(120);
        }

        &__image {
            top: rem(-66);
            width: rem(338);
        }

        &__group {
            width: rem(540);
            max-width: inherit;
            grid-row-gap: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(60);
        padding-bottom: rem(90);
        display: flex;
        align-items: center;
        flex-direction: row-reverse;
        justify-content: space-between;

        &__sm {
            display: none;
        }

        &__xl {
            display: block;
        }

        &__media {
            margin: 0;
            flex-shrink: 0;
            width: rem(462);
            height: rem(462);
        }

        &__image {
            left: rem(-40);
            top: rem(-80);
            width: rem(428);
        }

        &__header {
            text-align: left;
        }
    }
}

.pos-item {
    color: #383838;
    line-height: 1.25;
    font-size: rem(18);
    text-align: center;
    background: $white;
    border-radius: 10px;
    box-shadow: 0px 15px 25px 0px rgba(156,151,163,0.1);

    &__media {
        height: rem(60);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__logo {
        height: rem(30);

        &--01 {
            height: rem(40);
        }

        &--02 {
            height: rem(48);
        }

        &--03 {
            height: rem(24);
        }
    }

    &__name {
        padding: rem(8) 0;
        position: relative;

        &:before {
            top: 0;
            left: calc(50% - 45px);
            content: '';
            width: 90px;
            height: 1px;
            position: absolute;
            background: #383838;
        }
    }

    @include media-breakpoint-up(sm) {
        padding: rem(20);

        &__media {
            height: rem(75);
        }

        &__logo {
            height: rem(50);

            &--01 {
                height: rem(60);
            }

            &--02 {
                height: rem(70);
            }

            &--03 {
                height: rem(36);
            }
        }
    }
}

.partners {
    padding: rem(20) 0;

    &__header {
        color: #383838;
        font-weight: 600;
        line-height: 1.25;
        font-size: rem(35);
        text-align: center;
        margin-bottom: rem(50);
    }

    &__main {
        margin: 0 auto;
        max-width: rem(600);
        display: grid;
        grid-row-gap: rem(30);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        height: rem(65);
        font-size: 0;
        line-height: 0;
        overflow: hidden;
        border-radius: rem(10);
        box-shadow: 0px 5px 20px 0px rgba(56,56,56,0.1);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__logo {
        opacity: 0.8;
        height: rem(30);

        &--03 {
            height: rem(20);
        }

        &--04 {
            height: rem(20);
        }

        &--05 {
            height: rem(36);
        }

        &--06 {
            height: rem(50);
        }

        &--07 {
            height: rem(40);
        }

        &--08 {
            height: rem(40);
        }

        &--10 {
            height: rem(18);
        }
    }

    @include media-breakpoint-up(sm) {

        &__main {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        padding-bottom: rem(60);

        &__header {
            font-size: rem(44);
            margin-bottom: rem(60);
        }

        &__item {
            height: rem(80);
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            max-width: inherit;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__item {
            height: rem(80);
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            grid-column-gap: rem(30);
        }

        &__item {
            height: rem(100);
            transition: .3s;

            &:hover {
                background: #cfb7ee;
                transition: .3s;
            }
        }

        &__logo {
            height: rem(48);

            &--03 {
                height: rem(30);
            }

            &--04 {
                height: rem(30);
            }

            &--05 {
                height: rem(50);
            }

            &--06 {
                height: rem(70);
            }

            &--07 {
                height: rem(60);
            }

            &--08 {
                height: rem(60);
            }

            &--10 {
                height: rem(24);
            }
        }
    }
}

.faq {
    margin: 0 auto;
    max-width: rem(600);

    &__header {
        color: #383838;
        font-weight: 600;
        line-height: 1.25;
        font-size: rem(35);
        text-align: center;
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {
        padding: rem(30) 0;

        &__header {
            font-size: rem(44);
        }
    }

    @include media-breakpoint-up(lg) {
        max-width: rem(780);
    }

    @include media-breakpoint-up(xl) {
        padding: rem(50) 0;
        max-width: rem(960);
    }
}

.contact {
    text-align: center;

    &__header {
        font-weight: 600;
        font-size: rem(30);
        line-height: 1.23;
        margin-bottom: rem(45);
        font-family: $font-family-secondary;
    }

    &__phone {
        color: $black;
        font-weight: 300;
        font-size: rem(26);
        line-height: 1.5;
        display: inline-block;
        text-decoration: none;
        font-family: $font-family-secondary;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__email {
        color: #ff8562;
        font-weight: 300;
        font-size: rem(26);
        line-height: 1.5;
        margin-bottom: rem(35);
        display: inline-block;
        text-decoration: none;
        font-family: $font-family-secondary;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__address {
        font-weight: 300;
        font-size: rem(14);
        line-height: 1.45;
        margin-bottom: rem(45);
        font-family: $font-family-secondary;
    }

    &__social {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(38);
            margin-bottom: rem(45);
        }
    }
}

.modal {
    width: 100%;
    padding: rem(30);
    max-width: rem(460);
    background: $white;

    &__header {
        color: #383838;
        font-weight: 600;
        line-height: 1.24;
        font-size: rem(24);
        text-align: center;
        margin-bottom: rem(20);
    }

    .btn {
        width: 100%;
    }

    @include media-breakpoint-up(sm) {
        padding: rem(40);
    }

    @include media-breakpoint-up(md) {
        max-width: rem(560);

        &__header {
            margin-bottom: rem(30);
        }
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
